LinkedIn

Get LinkedIn organization page

Look up LinkedIn company, school, or organization pages by URL (broader than linkedin.company.get).

GET/v1/linkedin/organizations
x-api-keystringheader

API key (`sfk_...`)

Parameters
1
urlarrayrequiredquery

LinkedIn organization page URL.

Response fields
87

Endpoint-specific response payload.

Per-URL organization lookup results.

dataresults[]url
string

Requested organization URL echoed for this result.

min 1 chars

dataresults[]lookupStatus
string

Whether this organization page was resolved.

one of: found, not_found, error

Error details when `lookupStatus` is `error`.

dataresults[]errormessage
string

Short customer-safe reason this organization could not be returned.

min 1 chars

Organization details when available.

dataresults[]organizationplatform
string

Social platform for this record.

one of: linkedin

dataresults[]organizationpageType
string

LinkedIn page type for this organization.

one of: company, school, organization

dataresults[]organizationid
string

Organization identifier as a string.

min 1 chars

dataresults[]organizationslug
stringoptional

Page vanity slug when available.

min 1 chars

dataresults[]organizationname
string

Organization display name.

min 1 chars

dataresults[]organizationpageUrl
string

Canonical public LinkedIn organization page URL.

min 1 chars

dataresults[]organizationabout
stringnullable

About text when available.

dataresults[]organizationslogan
stringnullableoptional

Tagline when available.

dataresults[]organizationwebsite
stringnullable

Primary external website when available.

dataresults[]organizationwebsiteDomain
stringnullableoptional

Root website domain when available.

dataresults[]organizationlogoUrl
stringnullable

Logo image URL when available.

dataresults[]organizationcoverImageUrl
stringnullable

Cover image URL when available.

dataresults[]organizationindustries
stringnullable

Industry label when available.

Specialty tags when available.

dataresults[]organizationspecialties[]
stringoptional

min 1 chars

dataresults[]organizationorganizationType
stringnullable

Organization type label when available.

dataresults[]organizationemployeeRange
stringnullable

Reported employee range label when available.

dataresults[]organizationfoundedYear
integernullableoptional

Founded year when available.

dataresults[]organizationheadquarters
stringnullable

Headquarters label when available.

dataresults[]organizationcountryCode
stringnullableoptional

Primary country code when available.

dataresults[]organizationcrunchbaseUrl
stringnullableoptional

Crunchbase profile URL when available.

Organization metrics when available.

dataresults[]metricsfollowers
integernullable

Follower count when available.

≥ 0

dataresults[]metricsemployeesOnLinkedIn
integernullable

Employees listed on LinkedIn when available.

≥ 0

dataresults[]metricsalumni
integernullable

Alumni count when available.

≥ 0

Location labels when available.

dataresults[]locations[]label
string

Location label.

min 1 chars

dataresults[]locations[]countryCode
stringnullableoptional

Country code when available.

Featured people shown on the page when available.

dataresults[]featuredEmployees[]name
string

Person name.

min 1 chars

dataresults[]featuredEmployees[]title
stringnullable

Role or headline shown on the page.

dataresults[]featuredEmployees[]profileUrl
stringnullable

LinkedIn profile URL when available.

dataresults[]featuredEmployees[]imageUrl
stringnullable

Profile image URL when available.

Similar organization suggestions when available.

dataresults[]similarOrganizations[]name
string

Similar organization name.

min 1 chars

dataresults[]similarOrganizations[]industries
stringnullable

Industry label when available.

dataresults[]similarOrganizations[]location
stringnullable

Location label when available.

dataresults[]similarOrganizations[]pageUrl
string

LinkedIn page URL for the similar organization.

min 1 chars

Affiliated organization suggestions when available.

dataresults[]affiliatedOrganizations[]name
string

Similar organization name.

min 1 chars

dataresults[]affiliatedOrganizations[]industries
stringnullable

Industry label when available.

dataresults[]affiliatedOrganizations[]location
stringnullable

Location label when available.

dataresults[]affiliatedOrganizations[]pageUrl
string

LinkedIn page URL for the similar organization.

min 1 chars

Recent posts from the organization page when available.

dataresults[]recentPosts[]postUrl
string

Public URL for the post.

min 1 chars

dataresults[]recentPosts[]postId
stringoptional

Post identifier when available.

dataresults[]recentPosts[]text
stringnullable

Post text when available.

dataresults[]recentPosts[]title
stringnullableoptional

Author or headline label when available.

dataresults[]recentPosts[]publishedAt
stringnullableoptional

Publication time in ISO-8601 when available.

dataresults[]recentPosts[]likesCount
integernullableoptional

Like count when available.

≥ 0

dataresults[]recentPosts[]commentsCount
integernullableoptional

Comment count when available.

≥ 0

dataresults[]recentPosts[]externalLink
stringnullableoptional

External link from the post when available.

Funding summary when available.

dataresults[]fundingrounds
integernullableoptional

Reported number of funding rounds when available.

≥ 0

dataresults[]fundinglastRoundDate
stringnullableoptional

Most recent funding round date when available.

dataresults[]fundinglastRoundType
stringnullableoptional

Most recent funding round type when available.

dataresults[]fundinglastRoundRaised
stringnullableoptional

Most recent funding round amount label when available.

Investors when available.

dataresults[]fundinginvestors[]name
string

Investor name.

min 1 chars

Stock information when available.

dataresults[]stockInfoexchange
stringnullableoptional

Stock exchange when available.

dataresults[]stockInfoticker
stringnullableoptional

Stock ticker when available.

dataresults[]stockInfoprice
stringnullableoptional

Stock price label when available.

dataresults[]stockInfopriceChange
stringnullableoptional

Stock price change label when available.

dataresults[]stockInforecordedAt
stringnullableoptional

Timestamp when stock data was recorded.

Alumni insights for school pages when available.

dataresults[]alumniInsights[]header
stringnullableoptional

Section header when available.

dataresults[]alumniInsights[]label
string

Metric label.

min 1 chars

dataresults[]alumniInsights[]value
string

Metric value text.

min 1 chars

dataresults[]additionalInformation
stringnullable

Additional open-roles or hiring summary text when available.

Summary counts for the organization batch.

datasummaryrequestedUrls
integer

Number of organization URLs requested in this batch.

≥ 0

datasummaryfound
integer

Number of organization pages successfully found.

≥ 0

datasummarynotFound
integer

Number of organization pages that were not found.

≥ 0

datasummaryerrored
integer

Number of organization pages that failed to resolve.

≥ 0

Metadata describing the request and billing outcome.

metarequestId
string

Unique request identifier for tracing this API call.

min 1 chars

metacreditsCharged
integer

Credits charged for this request.

≥ 0

metaversion
string

Public API version that served the response.

one of: v1

metacached
booleanoptional

True when served from shared response cache. Credits still apply (full endpoint price); Age header may be present.

Code example

curl "https://api.socialfetch.dev/v1/linkedin/organizations?url=https://www.linkedin.com/school/uxdesigninstitute" \
  -H "x-api-key: YOUR_API_KEY"

Responses

Batch lookup results.